Debian Bug report logs - #435415
manpages-dev: underspecified copysign(3) man page

version graph

Package: manpages-dev; Maintainer for manpages-dev is Martin Schulze <joey@debian.org>; Source for manpages-dev is src:manpages.

Reported by: Vincent Lefevre <vincent@vinc17.org>

Date: Tue, 31 Jul 2007 15:06:04 UTC

Severity: normal

Tags: fixed-upstream

Found in version manpages/2.62-1

Fixed in version manpages/2.65-1

Done: Martin Schulze <joey@infodrom.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#435415; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.org>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: manpages-dev: underspecified copysign(3) man page
Date: Tue, 31 Jul 2007 16:56:35 +0200
Package: manpages-dev
Version: 2.62-1
Severity: normal

The copysign(3) man page says:

  The  copysign()  functions  return a value whose absolute value matches
  that of x, but whose sign matches that of y.  If x is a NaN, then a NaN
  with the sign of y is returned.

But this is ambiguous if y is 0 or NaN. It should say:

  The  copysign()  functions  return a value whose absolute value matches
  that of x, but whose sign bit matches that of y.  If x is a NaN, then a
  NaN with the sign bit of y is returned.

(The IEEE 754-1985 standard and Draft 1.4.0 of 754r are also ambiguous,
but I hope this will be fixed in the next draft.)

This is important, because in lgamma(3), the "sign" has another meaning.

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.18-4-686-bigmem (SMP w/2 CPU cores)
Locale: LANG=POSIX, LC_CTYPE=en_US.ISO8859-1 (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/bash

Versions of packages manpages-dev depends on:
ii  manpages                      2.62-1     Manual pages about using a GNU/Lin

manpages-dev recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#435415; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Michael Kerrisk <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #10 received at 435415@bugs.debian.org (full text, mbox):

From: Michael Kerrisk <mtk-manpages@gmx.net>
To: Vincent Lefevre <vincent@vinc17.org>, 435415@bugs.debian.org
Cc: debc <control@bugs.debian.org>
Subject: Re: Bug#435415: manpages-dev: underspecified copysign(3) man page
Date: Fri, 10 Aug 2007 10:25:06 +0200
tags 435415 fixed-upstream
thanks

Fixed for upstream 2.65.

Thanks.

Michael

Vincent Lefevre wrote:
> Package: manpages-dev
> Version: 2.62-1
> Severity: normal
> 
> The copysign(3) man page says:
> 
>   The  copysign()  functions  return a value whose absolute value matches
>   that of x, but whose sign matches that of y.  If x is a NaN, then a NaN
>   with the sign of y is returned.
> 
> But this is ambiguous if y is 0 or NaN. It should say:
> 
>   The  copysign()  functions  return a value whose absolute value matches
>   that of x, but whose sign bit matches that of y.  If x is a NaN, then a
>   NaN with the sign bit of y is returned.
> 
> (The IEEE 754-1985 standard and Draft 1.4.0 of 754r are also ambiguous,
> but I hope this will be fixed in the next draft.)
> 
> This is important, because in lgamma(3), the "sign" has another meaning.
> 
> -- System Information:
> Debian Release: lenny/sid
>   APT prefers unstable
>   APT policy: (500, 'unstable'), (500, 'stable')
> Architecture: i386 (i686)
> 
> Kernel: Linux 2.6.18-4-686-bigmem (SMP w/2 CPU cores)
> Locale: LANG=POSIX, LC_CTYPE=en_US.ISO8859-1 (charmap=ISO-8859-1)
> Shell: /bin/sh linked to /bin/bash
> 
> Versions of packages manpages-dev depends on:
> ii  manpages                      2.62-1     Manual pages about using a GNU/Lin
> 
> manpages-dev recommends no packages.
> 
> -- no debconf information
> 
> 

-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7

Want to help with man page maintenance?  Grab the latest tarball at
http://www.kernel.org/pub/linux/docs/manpages/
read the HOWTOHELP file and grep the source files for 'FIXME'.




Tags added: fixed-upstream Request was from Michael Kerrisk <mtk-manpages@gmx.net> to control@bugs.debian.org. (Fri, 10 Aug 2007 13:51:07 GMT) Full text and rfc822 format available.

Reply sent to Martin Schulze <joey@infodrom.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Vincent Lefevre <vincent@vinc17.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 435415-close@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@infodrom.org>
To: 435415-close@bugs.debian.org
Subject: Bug#435415: fixed in manpages 2.65-1
Date: Mon, 12 Nov 2007 11:47:25 +0000
Source: manpages
Source-Version: 2.65-1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_2.65-1_all.deb
  to pool/main/m/manpages/manpages-dev_2.65-1_all.deb
manpages_2.65-1.diff.gz
  to pool/main/m/manpages/manpages_2.65-1.diff.gz
manpages_2.65-1.dsc
  to pool/main/m/manpages/manpages_2.65-1.dsc
manpages_2.65-1_all.deb
  to pool/main/m/manpages/manpages_2.65-1_all.deb
manpages_2.65.orig.tar.gz
  to pool/main/m/manpages/manpages_2.65.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 435415@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin Schulze <joey@infodrom.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 05 Nov 2007 22:43:23 +0100
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 2.65-1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Martin Schulze <joey@infodrom.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 431480 435415 435885 437112 439560 445085 445086 445087 445088 445089
Changes: 
 manpages (2.65-1) unstable; urgency=low
 .
   * New upstream version
     . Spelling and formatting fixes (closes: Bug#439560)
     . Correction of EINVAL in swapon(2) (closes: Bug#435885)
     . Clarify utimes() behaviour in utime(2) (closes: Bug#431480)
     . remove ambiguity in description in copysign(3) (closes: Bug#435415)
     . document stolen time in proc(5) (closes: Bug#437112)
   * Fix spelling error in iso_8859-2(7) (closes: Bug#445085)
   * Fixed typo in missing(7) (closes: Bug#445087)
   * Fixed typos in ip(7) (closes: Bug#445088)
   * Fixed typo in hier(7) (closes: Bug#445086)
   * Improvement to services(5) by A. Costa (closes: Bug#445089)
Files: 
 488233a627242111810be6b0b4067545 584 doc important manpages_2.65-1.dsc
 8dcdc34d0314a148513f5502a3f17377 1267435 doc important manpages_2.65.orig.tar.gz
 1a1558531f901fef4c483e08acebdfda 57767 doc important manpages_2.65-1.diff.gz
 c9c35669a07a00b1e8e13e67ee1c19d9 531534 doc important manpages_2.65-1_all.deb
 ba6ebed1192c98882c481d5ac911651f 1289244 doc optional manpages-dev_2.65-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHMCFAW5ql+IAeqTIRAqlVAJ4yhsPOwDbin4RI1fQQllsBdTaY2gCdHo+m
pIggNd2zvyJSpaaF4fcqs9Q=
=EvU8
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 17 Dec 2007 07:29:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:08:37 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.